Opened 7 years ago

Closed 6 years ago

#42860 closed update (fixed)

PyMOL: update to 1.7.0

Reported by: mtiberti (Matteo Tiberti) Owned by: howarth@…
Priority: Normal Milestone:
Component: ports Version: 2.2.1
Keywords: Cc: quantum7@…, kurthindenburg (Kurt Hindenburg)
Port: pymol

Description

Hi, PyMOL 1.7.0 is out and apparently contains a useful bug fix (now it saves CGO objects, which was lost in versions 1.5 and 1.6). I is it possible to update it? I would do it myself, but I wasn't able to find any clear and straightforward guide detailing the whole process. If somebody is willing to advise me I can take care of this. Thank you

Attachments (8)

Portfile.diff (847 bytes) - added by mtiberti (Matteo Tiberti) 7 years ago.
Portfile (3.7 KB) - added by mtiberti (Matteo Tiberti) 7 years ago.
apbs_tkinter.patch (10.4 KB) - added by mtiberti (Matteo Tiberti) 7 years ago.
apbs-psize.patch (414 bytes) - added by mtiberti (Matteo Tiberti) 7 years ago.
pmg_tk_platform.patch (1.4 KB) - added by mtiberti (Matteo Tiberti) 7 years ago.
pymol_shell.diff (757 bytes) - added by mtiberti (Matteo Tiberti) 7 years ago.
pymol-clang.diff (22.7 KB) - added by mtiberti (Matteo Tiberti) 7 years ago.
setup_py.diff (1.5 KB) - added by mtiberti (Matteo Tiberti) 7 years ago.

Download all attachments as: .zip

Change History (20)

comment:1 Changed 7 years ago by ryandesign (Ryan Schmidt)

Keywords: pymol pymol-devel removed
Owner: changed from macports-tickets@… to howarth@…
Priority: HighNormal

comment:2 Changed 7 years ago by mtiberti (Matteo Tiberti)

I have attached a slightly modified port file. It seems to build correctly, however, after launching PyMOL only the Viewer window shows up, and there's an application with the python logo working ("bouncing") indefinitely. The same is happening with PyMOL 1.6 from the official repos, so the problem might be different. Should I open a bug report for this?

Last edited 7 years ago by mtiberti (Matteo Tiberti) (previous) (diff)

comment:3 Changed 7 years ago by mf2k (Frank Schima)

Per the guidelines, please instead attach a unified diff of the Portfile so we can easily see what changes you are proposing.

comment:4 Changed 7 years ago by mtiberti (Matteo Tiberti)

Ok sorry, the first Portfile I have attached is wrong, it still refers to PyMOL 1.6.0 (and that's why it builds), I hadn't completely figured out how to perform the upgrade. I'm working on the correct patches now, they should be ready in a day or so

Changed 7 years ago by mtiberti (Matteo Tiberti)

Attachment: Portfile.diff added

Changed 7 years ago by mtiberti (Matteo Tiberti)

Attachment: Portfile added

Changed 7 years ago by mtiberti (Matteo Tiberti)

Attachment: apbs_tkinter.patch added

Changed 7 years ago by mtiberti (Matteo Tiberti)

Attachment: apbs-psize.patch added

Changed 7 years ago by mtiberti (Matteo Tiberti)

Attachment: pmg_tk_platform.patch added

Changed 7 years ago by mtiberti (Matteo Tiberti)

Attachment: pymol_shell.diff added

Changed 7 years ago by mtiberti (Matteo Tiberti)

Attachment: pymol-clang.diff added

Changed 7 years ago by mtiberti (Matteo Tiberti)

Attachment: setup_py.diff added

comment:5 Changed 7 years ago by mtiberti (Matteo Tiberti)

Here are the modified patches; I started from the already existing ones and modified them to comply to the actual code (some lines got moved around and some weren't necessary anymore). This builds correctly and works ok; however, please take some time to review the commit because it's the first time I fiddle with macports and may have overlooked something.

comment:6 Changed 7 years ago by quantum7@…

Cc: quantum7@… added

Cc Me!

comment:7 Changed 6 years ago by kurthindenburg (Kurt Hindenburg)

Cc: khindenburg@… added

Cc Me!

comment:8 Changed 6 years ago by kurthindenburg (Kurt Hindenburg)

I think the best bet would be to try to get pymol-devel working so we don't mess w/ people using pymol.

It looks like the latest svn doesn't need any of your patches, but I'm having issues w/ a few parts of it.

Last edited 6 years ago by kurthindenburg (Kurt Hindenburg) (previous) (diff)

comment:9 Changed 6 years ago by quantum7@…

@Khindenburg What do you mean by that? Pymol-devel is still on 1.5, so it's not a solution for this issue. Are you suggesting that pymol-devel be updated to 1.7.2? If so that should be a different ticket.

Honestly, the existence of the -devel port is very confusing to me, since one would expect -devel to be bleeding-edge. The identical port descriptions don't clear anything up either.

comment:10 Changed 6 years ago by kurthindenburg (Kurt Hindenburg)

So pymol-devel could be used to update to latest svn and test it. Once we are sure it works, we could move it to pymol. This is just a thought, perhaps we should try to get your patches working on pymol.

comment:11 Changed 6 years ago by quantum7@…

pymol@1.7.1.1_1 installed and runs just fine for me with macports 2.3.1. Can we close this ticket?

comment:12 Changed 6 years ago by kurthindenburg (Kurt Hindenburg)

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.